Show / Hide Table of Contents

# IUniTaskSource<T> Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IUniTaskSource<out T> : IUniTaskSource, IValueTaskSource, IValueTaskSource<T>

#### Type Parameters

`T`

### Members

#### Methods

Name | Description
--- | ---
GetResult(Int16) |
GetStatus(Int16) |
OnCompleted(Action<Object>, Object, Int16) |

#### Explicit Interface Implementations

Name | Description
--- | ---
IValueTaskSource<T>.GetResult(Int16) |
IValueTaskSource<T>.GetStatus(Int16) |

### Methods

#### GetResult(Int16)

    T GetResult(short token)

##### Parameters

`token` System.Int16

##### Returns

T

#### GetStatus(Int16)

    virtual UniTaskStatus GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### OnCompleted(Action<Object>, Object, Int16)

    virtual void OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` Action<System.Object>
`state` System.Object
`token` System.Int16

### Explicit Interface Implementations

#### IValueTaskSource<T>.GetResult(Int16)

    T IValueTaskSource<T>.GetResult(short token)

##### Parameters

`token` System.Int16

##### Returns

T

#### IValueTaskSource<T>.GetStatus(Int16)

    ValueTaskSourceStatus IValueTaskSource<T>.GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

System.Threading.Tasks.Sources.ValueTaskSourceStatus